#include <iostream>
#include <cmath>
#include <vector>

template<typename A_FLT, typename P_FLT>
void s(int from, int to, P_FLT& dt, A_FLT& x, 
         const std::vector<A_FLT>& p) { 
  P_FLT t=from*dt;
  for (int i=from;i<to;i++) {
    x+=dt*p[i]*sin(x*t);
    t+=dt;
  }
}

template<typename A_FLT, typename P_FLT>
void f(A_FLT& x, const std::vector<A_FLT>& p) { 
  int n=p.size();
  const int cs=3;
  P_FLT dt=1./n;
  for (int i=0;i<std::min(n,i+cs);i+=cs) 
    s(i,std::min(n,i+cs),dt,x,p);
}

int main(int c, char* v[]) {
  if (c!=2) { std::cerr << "c!=2 "; throw; }
  int n=std::stoi(v[1]);
  const double x0=1;
  std::vector<double> p(n,1); 
  double x=x0; 
  f(x,p);
  std::cout.precision(4);
  std::cout << "x=" << x << std::endl;
  return 0;
}
